> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Anhang herunterladen

> Dateianhang herunterladen.

Gibt eine 307-Weiterleitung zurück: an den vorsignierten Proxy zur IP-Durchsetzung für Orgs mit einer IP-Allowlist, andernfalls an eine vorsignierte S3-URL.

<div id="permissions">
  ## Berechtigungen
</div>

Erfordert einen Servicebenutzer mit der Berechtigung `ViewOrgSessions` auf Organisationsebene.


## OpenAPI

````yaml de/v3-openapi.yaml GET /v3/organizations/{org_id}/attachments/{uuid}/{name}
openapi: 3.1.0
info:
  description: Devin v3 API mit Service-User-Authentifizierung und RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/attachments/{uuid}/{name}:
    get:
      tags:
        - attachments
      summary: Anhang herunterladen
      description: >-
        Dateianhang herunterladen.


        Gibt eine 307-Weiterleitung zurück: an den vorsignierten Proxy zur
        IP-Durchsetzung für Orgs mit einer IP-Allowlist, andernfalls an eine
        vorsignierte S3-URL.
      operationId: >-
        handle_download_attachment_v3_organizations__org_id__attachments__uuid___name__get
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            title: Uuid
            type: string
        - in: path
          name: name
          required: true
          schema:
            title: Name
            type: string
        - description: 'Organisations-ID (Präfix: org-)'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Erfolgreiche Antwort
        '307':
          description: Zur Download-URL für den Anhang weiterleiten
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validierungsfehler
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Servicebenutzer-Anmeldedaten (Präfix: cog_)'
      scheme: bearer
      type: http

````